LoggingPoolFactory (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.grails.async.factory.gpars
[Groovy] Class LoggingPoolFactory

    java.lang.Object
      org.grails.async.factory.gpars.LoggingPoolFactory

All Implemented Interfaces:
  groovyx.gpars.util.PoolFactory

    @groovy.transform.CompileStatic
    class LoggingPoolFactory
    extends java.lang.Object

A pool factory that logs error instead of printing them to standard err as is the default in GPars

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary
`static org.apache.commons.logging.Log` | `LOG`
`static java.lang.reflect.Method` | `createThreadNameMethod`

Method Summary
`groovyx.gpars.scheduler.Pool` | `createPool()`
`groovyx.gpars.scheduler.Pool` | `createPool(boolean daemon)`
`groovyx.gpars.scheduler.Pool` | `createPool(int numberOfThreads)`
`groovyx.gpars.scheduler.Pool` | `createPool(boolean daemon, int numberOfThreads)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### LOG

    public static final org.apache.commons.logging.Log LOG

### createThreadNameMethod

    public static java.lang.reflect.Method createThreadNameMethod

Method Detail

### createPool

    @java.lang.Override
    groovyx.gpars.scheduler.Pool createPool()

### createPool

    @java.lang.Override
    groovyx.gpars.scheduler.Pool createPool(boolean daemon)

### createPool

    @java.lang.Override
    groovyx.gpars.scheduler.Pool createPool(int numberOfThreads)

### createPool

    @java.lang.Override
    groovyx.gpars.scheduler.Pool createPool(boolean daemon, int numberOfThreads)

Groovy Documentation